automation-suite
2.2510
true
Automation Suite API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Delete a SAML certificate by its ID in an Automation Suite organization using the Identity API, including required scope and response codes.
Delete a certificate based on its ID.
API endpoint
DELETE https://{yourDomain}/{organizationName}/identity_/api/SamlCertificate/{partitionGlobalId}/{certificateId}
Scopes
Requires the following scope: PM.AuthSetting.
Request headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.
Request body
The request body contains the organization ID, as partitionGlobalId and the certificate ID.
Responses
200 Success
The certificate has been successfully deleted.
true
true